// priority 2

// Attempting to balance our modpack by adding/removing or altering recipes

ServerEvents.recipes((event) => {
    // Removing recipes that are being rebalanced
    event.remove({ id: "rftoolsbuilder:shape_card_quarry" });
    event.remove({ id: "mekanism:digital_miner" });

    // RFTools Builder Quarry Card
    event.shaped("rftoolsbuilder:shape_card_quarry", ["DPD", "ICI", "DSD"], {
        D: "redstone_arsenal:flux_dust",
        P: "redstone_arsenal:flux_pickaxe",
        I: "redstone_arsenal:flux_plating",
        C: "rftoolsbuilder:shape_card_def",
        S: "redstone_arsenal:flux_shovel",
    });

    // Mekanism Digital Miner
    // event.shaped("mekanism:digital_miner", ["ACA", "SRS", "ETE"], {
    //     A: "mekanism:alloy_atomic",
    //     C: "mekanism:elite_control_circuit",
    //     S: "mekanism:logistical_sorter",
    //     R: "thermal:diamond_gear",
    //     E: "minecraft:ender_pearl",
    //     T: "mekanism:steel_casing",
    // });

    // QuarryPlus
    event.shaped("quarryplus:marker", ["L", "T"], {
        L: "minecraft:lapis_lazuli",
        T: "minecraft:redstone_torch",
    });
    event.shaped("quarryplus:filter_module", ["CGC", "GTG", "CGC"], {
        C: "thermal:copper_nugget",
        G: "minecraft:glass_pane",
        T: "trashcans:item_trash_can",
    });
    event.shaped("quarryplus:mining_well", ["DFD", "SMS", "GPG"], {
        D: "thermal:dynamo_stirling",
        F: "thermal:machine_furnace",
        S: "thermal:redstone_servo",
        M: "thermal:machine_frame",
        G: "redstone_arsenal:flux_gear",
        P: "minecraft:diamond_pickaxe",
    });
    event.shaped("quarryplus:quarry", ["IPI", "GDG", "IFI"], {
        I: "thermal:steel_ingot",
        P: "minecraft:ender_pearl",
        G: "redstone_arsenal:flux_gear",
        D: "thermal:diamond_gear",
        F: "thermal:flux_drill",
    });
    event.shaped("quarryplus:mover", [" E ", "OPO", "OOO"], {
        E: "minecraft:enchanting_table",
        O: "minecraft:obsidian",
        P: "minecraft:ender_pearl",
    });
    event.shaped("quarryplus:book_mover", ["LWL", "BMB", "OOO"], {
        L: "minecraft:lapis_lazuli",
        W: "minecraft:writable_book",
        B: "minecraft:bookshelf",
        M: "quarryplus:mover",
        O: "minecraft:obsidian",
    });
    event.shaped("quarryplus:filler", ["DID", "CMC", "DDD"], {
        D: "minecraft:dirt",
        I: "thermal:iron_gear",
        C: "thermal:copper_gear",
        M: "thermal:machine_frame",
    });
    event.shaped("quarryplus:pump_plus", ["RRR", "PMP", "GPG"], {
        R: "minecraft:redstone",
        P: "create:fluid_pipe",
        M: "thermal:machine_frame",
        G: "thermal:iron_gear",
    });
    event.shaped("quarryplus:adv_pump", ["EEE", "SPS", "IFI"], {
        E: "minecraft:emerald",
        S: "thermal:redstone_servo",
        P: "quarryplus:pump_plus",
        I: "thermal:invar_gear",
        F: "pipez:fluid_pipe",
    });
    event.shaped("quarryplus:exp_pump", ["EEE", "SPS", "BFB"], {
        E: "minecraft:emerald",
        S: "thermal:redstone_servo",
        P: "quarryplus:pump_plus",
        B: "thermal:bronze_gear",
        F: "create:fluid_pipe",
    });
});
