// priority 0

// Hiding items from JEI that can't or shouldn't be crafted
JEIEvents.hideItems((event) => {
    event.hide("accbackrooms:yellowed_wallpaper");
    event.hide("accbackrooms:yellowed_dotted_wallpaper");
    event.hide("accbackrooms:yellowed_lined_wallpaper");
    event.hide("accbackrooms:damp_yellow_carpet");
    event.hide("accbackrooms:stained_yellow_carpet");
    event.hide("accbackrooms:office_ceiling_tile");
    event.hide("accbackrooms:light_block");
    event.hide("accbackrooms:light_block_off");
    event.hide("accbackrooms:repainted_white_wall");
    event.hide("accbackrooms:dry_red_carpet");
    event.hide("accbackrooms:red_door");
    event.hide("accbackrooms:parking_white_concrete");
    event.hide("accbackrooms:parking_white_concrete_brownline");
    event.hide("accbackrooms:parking_white_concrete_f");
    event.hide("accbackrooms:packing_grey_concrete");
    event.hide("accbackrooms:parking_grey_concrete_slab");
    event.hide("accbackrooms:wet_parking_grey_concrete");
    event.hide("accbackrooms:supply_crate");
    event.hide("accbackrooms:funny_level_1");
    event.hide("accbackrooms:level_1_door");
    event.hide("accbackrooms:level_1_locked_door");
    event.hide("accbackrooms:tube_light_imitation");
    event.hide("accbackrooms:tube_light_off");
    event.hide("accbackrooms:tube_light_vertical_block");
    event.hide("accbackrooms:tube_light_vertical_off");
    event.hide("accbackrooms:ceiling_pipe");
    event.hide("accbackrooms:double_ceiling_pipe");
    event.hide("accbackrooms:crossing_ceiling_pipe");
    event.hide("accbackrooms:weathered_gray_concrete");
    event.hide("accbackrooms:smoth_gray_concrete");
    event.hide("accbackrooms:level_2_stairs");
    event.hide("accbackrooms:level_2_vent");
    event.hide("accbackrooms:level_2_grill");
    event.hide("accbackrooms:connectable_pipe_0000");
    event.hide("accbackrooms:level_2_pipes");
    event.hide("accbackrooms:left_pipes");
    event.hide("accbackrooms:right_pipes");
    event.hide("accbackrooms:ceiling_pipes");
    event.hide("accbackrooms:orange_bricks");
    event.hide("accbackrooms:dusty_concrete_tile");
    event.hide("accbackrooms:gray_concrete");
    event.hide("accbackrooms:level_3_ironbars");
    event.hide("accbackrooms:ironbars_door");
    event.hide("accbackrooms:traffic_cone_block");
    event.hide("accbackrooms:level_3_door");
    event.hide("accbackrooms:office_wall");
    event.hide("accbackrooms:office_wall_baseboard");
    event.hide("accbackrooms:dark_carpet");
    event.hide("accbackrooms:level_19_block");
    event.hide("accbackrooms:empty_memory_jar");
    event.hide("accbackrooms:red_memory_jar");
    event.hide("accbackrooms:yellow_memory_jar");
    event.hide("accbackrooms:green_memory_jar");
    event.hide("accbackrooms:blue_memory_jar");
    event.hide("accbackrooms:purple_memory_jar");
    event.hide("accbackrooms:pink_memory_jar");
    event.hide("accbackrooms:black_memory_jar");
    event.hide("accbackrooms:original_almond_water");
    event.hide("accbackrooms:coconut_almond_water");
    event.hide("accbackrooms:mintlicorice_almond_water");
    event.hide("accbackrooms:levelkey");
    event.hide("accbackrooms:computer");
    event.hide("accbackrooms:squirt_gun");
    event.hide("accbackrooms:squirt_gun_tank");
    event.hide("accbackrooms:firesalt");
    event.hide("accbackrooms:firesalt_cluster");
    event.hide("accbackrooms:large_firesalt_bud");
    event.hide("accbackrooms:medium_firesalt_bud");
    event.hide("accbackrooms:small_firesalt_bud");
    event.hide("accbackrooms:smiler_spawn_egg");
    event.hide("accbackrooms:female_deathmoth_spawn_egg");
    event.hide("accbackrooms:male_deathmoth_spawn_egg");
    event.hide("accbackrooms:clump_spawn_egg");
    event.hide("accbackrooms:duller_spawn_egg");
    event.hide("accbackrooms:hound_spawn_egg");
    event.hide("accbackrooms:adult_faceling_spawn_egg");
    event.hide("accbackrooms:old_man_faceling_spawn_egg");
    event.hide("accbackrooms:child_faceling_spawn_egg");
    event.hide("accbackrooms:skin_stealer_spawn_egg");
    event.hide("accbackrooms:burster_spawn_egg");
    event.hide("accbackrooms:wretch_spawn_egg");
    event.hide("accbackrooms:viscous_black_liquid_bucket");
    event.hide("accbackrooms:parking_grey_concrete");
    event.hide("accbackrooms:smooth_gray_concrete");
    event.hide("accbackrooms:pink_dress_faceling_spawn_egg");

    event.hide("createdeco:brass_coin");
    event.hide("createdeco:brass_coinstack");
    event.hide("createdeco:cast_iron_coin");
    event.hide("createdeco:cast_iron_coinstack");
    event.hide("createdeco:copper_coin");
    event.hide("createdeco:copper_coinstack");
    event.hide("createdeco:gold_coin");
    event.hide("createdeco:gold_coinstack");
    event.hide("createdeco:iron_coin");
    event.hide("createdeco:iron_coinstack");
    event.hide("createdeco:netherite_coin");
    event.hide("createdeco:netherite_coinstack");
    event.hide("createdeco:zinc_coin");
    event.hide("createdeco:zinc_coinstack");

    event.hide("industrialforegoing:infinity_nuke");

    event.hide("mekanism:digital_miner"); // It just can't keep up with other options. Balancing its cost is annoying.

    event.hide("moguns:blue_heat");
    event.hide("moguns:garbage");
    event.hide("moguns:glockest_glock");
    event.hide("moguns:hellfire");
    event.hide("moguns:taki");
    event.hide("moguns:trashcan");

    event.hide("quarryplus:workbench"); // This is very expensive for how slow the quarry is.
    event.hide("quarryplus:remote_placer");
    event.hide("quarryplus:spawn_controller");
    event.hide("quarryplus:remove_bedrock_module");
    event.hide("quarryplus:mini_quarry"); // This isn't OP, but it's very confusing to use.
    event.hide("quarryplus:adv_quarry"); // This is very OP. It mines all the way to bedrock for an entire chunk in seconds if you have the power.
    event.hide("quarryplus:spawner_controller");
    event.hide("quarryplus:dummy");
    event.hide("quarryplus:dummy_replacer");
    event.hide("quarryplus:replacer_module");
    event.hide("quarryplus:replacer");
    event.hide("quarryplus:frame");
    event.hide("quarryplus:status_checker"); // Doesn't seem to work in the current version
    event.hide("quarryplus:y_setter"); // Doesn't seem to work in the current version
    event.hide("quarryplus:solid_fuel_quarry");
    event.hide("quarryplus:fuel_module_normal");

    event.hide("thermal:press_coin_die");
    event.hide("thermal:dynamo_numismatic");
    event.hide("thermal:tin_coin");
    event.hide("thermal:copper_coin");
    event.hide("thermal:bronze_coin");
    event.hide("thermal:iron_coin");
    event.hide("thermal:gold_coin");
    event.hide("thermal:invar_coin");
    event.hide("thermal:enderium_coin");
    event.hide("thermal:signalum_coin");
    event.hide("thermal:lumium_coin");
    event.hide("thermal:netherite_coin");
    event.hide("thermal:steel_coin");
    event.hide("thermal:rose_gold_coin");
    event.hide("thermal:lead_coin");
    event.hide("thermal:silver_coin");
    event.hide("thermal:nickel_coin");
    event.hide("thermal:electrum_coin");
    event.hide("thermal:constantan_coin");
});
